# Ogre::GLRTTManager Class Reference

Manager/factory for RenderTextures. More...

`#include <OgreGLRenderTexture.h>`

Inheritance diagram for Ogre::GLRTTManager:

List of all members.

## Public Member Functions

virtual | ~GLRTTManager ()
virtual RenderTexture * | createRenderTexture (const String &name, const GLSurfaceDesc &target)=0
| Create a texture rendertarget object.
virtual bool | checkFormat (PixelFormat format)=0
| Check if a certain format is usable as rendertexture format.
virtual void | bind (RenderTarget *target)=0
| Bind a certain render target.
virtual void | unbind (RenderTarget *target)=0
| Unbind a certain render target.
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target.
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format.
| Singleton (void)

## Static Public Member Functions

static GLRTTManager & | getSingleton (void)
static GLRTTManager * | getSingletonPtr (void)

## Static Protected Attributes

static GLRTTManager * | ms_Singleton

## Detailed Description

Manager/factory for RenderTextures.

Definition at line 54 of file OgreGLRenderTexture.h.

## Constructor & Destructor Documentation

virtual Ogre::GLRTTManager::~GLRTTManager | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLRTTManager::bind | ( | RenderTarget * | target | ) | `[pure virtual]`

| Bind a certain render target. Implemented in Ogre::GLFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

virtual bool Ogre::GLRTTManager::checkFormat | ( | PixelFormat | format | ) | `[pure virtual]`

| Check if a certain format is usable as rendertexture format. Implemented in Ogre::GLFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

virtual MultiRenderTarget* Ogre::GLRTTManager::createMultiRenderTarget | ( | const String & | name | ) | `[virtual]`

| Create a multi render target. Reimplemented in Ogre::GLFBOManager.

virtual RenderTexture* Ogre::GLRTTManager::createRenderTexture | ( | const String & | name,
|  | const GLSurfaceDesc & | target
| ) | `[pure virtual]`

| Create a texture rendertarget object. Implemented in Ogre::GLFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

static GLRTTManager & Ogre::Singleton< GLRTTManager >::getSingleton | ( | void |  | ) | `[static, inherited]`

| Definition at line 69 of file OgreSingleton.h.

static GLRTTManager * Ogre::Singleton< GLRTTManager >::getSingletonPtr | ( | void |  | ) | `[static, inherited]`

| Definition at line 71 of file OgreSingleton.h.

virtual PixelFormat Ogre::GLRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) | `[virtual]`

| Get the closest supported alternative format. If format is supported, returns format.

Ogre::Singleton< GLRTTManager >::Singleton | ( | void |  | ) | `[inherited]`

| Definition at line 57 of file OgreSingleton.h.

virtual void Ogre::GLRTTManager::unbind | ( | RenderTarget * | target | ) | `[pure virtual]`

| Unbind a certain render target. This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. Implemented in Ogre::GLFBOManager, Ogre::GLPBRTTManager, and Ogre::GLCopyingRTTManager.

## Member Data Documentation

GLRTTManager * Ogre::Singleton< GLRTTManager >::ms_Singleton `[static, protected, inherited]`

| Definition at line 54 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreGLRenderTexture.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:49:21 2006